SVN upgrades


After my SVN server running on BeagleBone started failing I kept thinking about investing in a NAS and install SVN server on it. Well, actually install much more, including SVN server…

After considerations I decided to put my money in Synology. I got myself a DS214, installed a 3 Tb disk in and… SVN. Then all the problems started: trying to import a project from Eclipse or LPCxpresso was only throwing errors. I was using Subclipse 1.6 and 1.7. I tried with Subversive also and the best I could get was:

Location information has been specified incorrectly.
svn: E210004: Number is larger than maximum
Keep location anyway?

After some investigation I managed to get it working using the latest version of the Subclipse, 1.10 (http://subclipse.tigris.org/update_1.10.x/):

Screen Shot 2014-03-15 at 3.02.30 pm

 

Screen Shot 2014-03-15 at 3.03.18 pm

 

Screen Shot 2014-03-15 at 3.03.48 pm

 

Screen Shot 2014-03-15 at 3.04.31 pm

 

Screen Shot 2014-03-15 at 3.06.00 pm

 

Screen Shot 2014-03-15 at 3.06.36 pm

 

Screen Shot 2014-03-15 at 3.07.28 pm

 

Once installed and Eclipse restarted, we should be able to import our first project in an existing repository:

Screen Shot 2014-03-15 at 3.08.16 pm

 

Screen Shot 2014-03-15 at 3.08.41 pm

 

Screen Shot 2014-03-15 at 3.11.32 pm

 

Screen Shot 2014-03-15 at 3.11.59 pm

 

Screen Shot 2014-03-15 at 3.13.32 pm

 

Screen Shot 2014-03-15 at 3.13.49 pm

 

Screen Shot 2014-03-15 at 3.14.37 pm

 

Ta-dah!

Advertisements

Leave a Reply

Fill in your details below or click an icon to log in:

WordPress.com Logo

You are commenting using your WordPress.com account. Log Out / Change )

Twitter picture

You are commenting using your Twitter account. Log Out / Change )

Facebook photo

You are commenting using your Facebook account. Log Out / Change )

Google+ photo

You are commenting using your Google+ account. Log Out / Change )

Connecting to %s